com.mapinfo.midev.language.filter

## Class QueryAttribute

- java.lang.Object
- - com.mapinfo.midev.language.filter.QueryAttribute

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AggregatingQueryAttribute

    public class QueryAttribute
    extends Object
    implements Serializable

Specifies an attribute that will form part of the select list of a search or query. A query attribute defines an attribute name and an optional alias.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `SEPARATOR` Identifier separator.
`static String` `WILDCARD` Wildcard character

### Constructor Summary

Constructors
Constructor and Description
`QueryAttribute(String attributeName)` Constructs a new `QueryAttribute` for the specified attribute name.
`QueryAttribute(String attributeName, String alias)` Constructs a new `QueryAttribute` for the specified attribute name and alias.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)`
`String` `getAlias()` Returns the alias of the attribute.
`String` `getAttributeName()` Returns the name of the attribute.
`QueryAttribute` `getCopy()` Returns the copy of the QueryAttribute.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WILDCARD

    public static final String WILDCARD

Wildcard character

See Also:
  Constant Field Values

#### SEPARATOR

    public static final String SEPARATOR

Identifier separator.

See Also:
  Constant Field Values

### Constructor Detail

#### QueryAttribute

    public QueryAttribute(String attributeName)

Constructs a new `QueryAttribute` for the specified attribute name.

Parameters:
  `attributeName` - the attribute name.

#### QueryAttribute

    public QueryAttribute(String attributeName,
                          String alias)

Constructs a new `QueryAttribute` for the specified attribute name and alias.

Parameters:
  `attributeName` - the attribute name.
  `alias` - the alias to apply to this attribute.

### Method Detail

#### getCopy

    public QueryAttribute getCopy()

Returns the copy of the QueryAttribute.

Returns:
  the copy of the QueryAttribute.

#### getAttributeName

    public String getAttributeName()

Returns the name of the attribute.

Returns:
  the name of the attribute.

#### getAlias

    public String getAlias()

Returns the alias of the attribute. If no alias is assigned, then `null` will be returned.

Returns:
  the alias of the attribute.

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`